{
  "log": {
    "level": "info",
    "timestamp": true
  },
  "dns": {
    "servers": [
      {
        "type": "https",
        "tag": "local",
        "server": "223.5.5.5"
      },
      {
        "type": "https",
        "tag": "local2",
        "server": "1.12.12.12"
      },
      {
        "type": "https",
        "tag": "fallback",
        "server": "8.8.8.8"
      },
      {
        "type": "https",
        "tag": "fallback2",
        "server": "1.1.1.1"
      },
      {
        "type": "fakeip",
        "tag": "fakeip",
        "inet4_range": "198.18.0.0/16",
        "inet6_range": "fc00::/18"
      }
    ],
    "rules": [
      {
        "domain_suffix": [
          "github.likezgq.top",
          "raw.githubusercontent.com",
          "github.com"
        ],
        "server": "local",
        "disable_cache": true
      },
      {
        "domain_suffix": [
          ".lan",
          ".test",
          ".home.arpa"
        ],
        "server": "local"
      },
      {
        "clash_mode": "Direct",
        "server": "local"
      },
      {
        "clash_mode": "Global",
        "server": "fallback"
      },
      {
        "rule_set": "geosite-cn",
        "server": "local"
      },
      {
        "rule_set": "geosite-icloud",
        "server": "local"
      },
      {
        "rule_set": "geosite-apple",
        "server": "local"
      },
      {
        "domain_suffix": [
          "gateway.icloud.com",
          "push.apple.com",
          "push-apple.com",
          "apple-relay.apple.com"
        ],
        "server": "local"
      },
      {
        "query_type": [
          "A",
          "AAAA"
        ],
        "server": "fakeip"
      }
    ],
    "final": "local"
  },
  "inbounds": [
    {
      "type": "tun",
      "tag": "tun-in",
      "interface_name": "utun",
      "address": [
        "172.19.0.1/30",
        "fdfe:dcba:9876::1/126"
      ],
      "auto_route": true,
      "strict_route": false,
      "stack": "mixed",
      "mtu": 1500
    },
    {
      "type": "mixed",
      "tag": "mixed-in",
      "listen": "127.0.0.1",
      "listen_port": 7890
    }
  ],
  "outbounds": [
    {
      "type": "vless",
      "tag": "vless_dmitcf_likezgq",
      "server": "dmitcf.likezgq.top",
      "server_port": 2053,
      "uuid": "3e7dab20-a75f-4da0-a338-6bc5d5b6d0c1",
      "tls": {
        "enabled": true,
        "server_name": "dmitcf.likezgq.top",
        "insecure": true
      },
      "transport": {
        "type": "ws",
        "path": "/ws",
        "headers": {
          "Host": "dmitcf.likezgq.top"
        }
      }
    },
    {
      "type": "vless",
      "tag": "vless_dmit02_reality_likezgq",
      "server": "dmit02.likezgq.top",
      "server_port": 33666,
      "uuid": "56cc48b8-0603-43b0-b5f4-0b4f9f62bd7d",
      "tls": {
        "enabled": true,
        "server_name": "www.amazon.com",
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        },
        "reality": {
          "enabled": true,
          "public_key": "M771aZAjU3l8XeOq9U3mY0JrbcOZPE00fLMYQH2L3xI",
          "short_id": "c8e608f37b8f2a21"
        }
      }
    },
    {
      "type": "vless",
      "tag": "vless_cc03_reality_vision",
      "server": "cc03.likezgq.top",
      "server_port": 40686,
      "uuid": "5c796c0b-fbc9-4f68-8998-857280b31549",
      "tls": {
        "enabled": true,
        "server_name": "www.amazon.com",
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        },
        "reality": {
          "enabled": true,
          "public_key": "hvSiIywHKfF7SwbIgtp4lF1k2SLb2y5Q5C-bDQiS1AQ",
          "short_id": "eb87dd0654a11c21"
        }
      },
      "flow": "xtls-rprx-vision"
    },
    {
      "type": "trojan",
      "tag": "HAITA_AMERICA_01",
      "server": "4511d21c-5f49-4bdd-9baa-1ccad3dfab43.bouuonouuw.lol",
      "server_port": 42541,
      "password": "6a881bed-969c-4310-add3-79924118b754",
      "tls": {
        "enabled": true,
        "server_name": "douyin.com",
        "insecure": true
      }
    },
    {
      "type": "trojan",
      "tag": "HAITA_AMERICA_02",
      "server": "4511d21c-5f49-4bdd-9baa-1ccad3dfab43.bouuonouuw.lol",
      "server_port": 18604,
      "password": "6a881bed-969c-4310-add3-79924118b754",
      "tls": {
        "enabled": true,
        "server_name": "douyin.com",
        "insecure": true
      }
    },
    {
      "type": "trojan",
      "tag": "HAITA_AMERICA_03",
      "server": "4511d21c-5f49-4bdd-9baa-1ccad3dfab43.bouuonouuw.lol",
      "server_port": 22332,
      "password": "6a881bed-969c-4310-add3-79924118b754",
      "tls": {
        "enabled": true,
        "server_name": "douyin.com",
        "insecure": true
      }
    },
    {
      "type": "trojan",
      "tag": "HAITA_SINGAPORE_01",
      "server": "4511d21c-5f49-4bdd-9baa-1ccad3dfab43.bouuonouuw.lol",
      "server_port": 46585,
      "password": "6a881bed-969c-4310-add3-79924118b754",
      "tls": {
        "enabled": true,
        "server_name": "douyin.com",
        "insecure": true
      }
    },
    {
      "type": "trojan",
      "tag": "HAITA_SINGAPORE_02",
      "server": "4511d21c-5f49-4bdd-9baa-1ccad3dfab43.bouuonouuw.lol",
      "server_port": 31951,
      "password": "6a881bed-969c-4310-add3-79924118b754",
      "tls": {
        "enabled": true,
        "server_name": "douyin.com",
        "insecure": true
      }
    },
    {
      "type": "trojan",
      "tag": "HAITA_SINGAPORE_03",
      "server": "4511d21c-5f49-4bdd-9baa-1ccad3dfab43.bouuonouuw.lol",
      "server_port": 21703,
      "password": "6a881bed-969c-4310-add3-79924118b754",
      "tls": {
        "enabled": true,
        "server_name": "douyin.com",
        "insecure": true
      }
    },
    {
      "type": "trojan",
      "tag": "HAITA_TAIWAN_01",
      "server": "4511d21c-5f49-4bdd-9baa-1ccad3dfab43.bouuonouuw.lol",
      "server_port": 23440,
      "password": "6a881bed-969c-4310-add3-79924118b754",
      "tls": {
        "enabled": true,
        "server_name": "douyin.com",
        "insecure": true
      }
    },
    {
      "type": "trojan",
      "tag": "HAITA_TAIWAN_02",
      "server": "4511d21c-5f49-4bdd-9baa-1ccad3dfab43.bouuonouuw.lol",
      "server_port": 11969,
      "password": "6a881bed-969c-4310-add3-79924118b754",
      "tls": {
        "enabled": true,
        "server_name": "douyin.com",
        "insecure": true
      }
    },
    {
      "type": "trojan",
      "tag": "HAITA_TAIWAN_03",
      "server": "4511d21c-5f49-4bdd-9baa-1ccad3dfab43.bouuonouuw.lol",
      "server_port": 27364,
      "password": "6a881bed-969c-4310-add3-79924118b754",
      "tls": {
        "enabled": true,
        "server_name": "douyin.com",
        "insecure": true
      }
    },
    {
      "type": "trojan",
      "tag": "HAITA_JAPAN_01",
      "server": "4511d21c-5f49-4bdd-9baa-1ccad3dfab43.bouuonouuw.lol",
      "server_port": 24215,
      "password": "6a881bed-969c-4310-add3-79924118b754",
      "tls": {
        "enabled": true,
        "server_name": "douyin.com",
        "insecure": true
      }
    },
    {
      "type": "trojan",
      "tag": "HAITA_JAPAN_02",
      "server": "4511d21c-5f49-4bdd-9baa-1ccad3dfab43.bouuonouuw.lol",
      "server_port": 31381,
      "password": "6a881bed-969c-4310-add3-79924118b754",
      "tls": {
        "enabled": true,
        "server_name": "douyin.com",
        "insecure": true
      }
    },
    {
      "type": "trojan",
      "tag": "HAITA_JAPAN_03",
      "server": "4511d21c-5f49-4bdd-9baa-1ccad3dfab43.bouuonouuw.lol",
      "server_port": 24070,
      "password": "6a881bed-969c-4310-add3-79924118b754",
      "tls": {
        "enabled": true,
        "server_name": "douyin.com",
        "insecure": true
      }
    },
    {
      "type": "trojan",
      "tag": "HAITA_HONGKONG_01",
      "server": "4511d21c-5f49-4bdd-9baa-1ccad3dfab43.bouuonouuw.lol",
      "server_port": 30273,
      "password": "6a881bed-969c-4310-add3-79924118b754",
      "tls": {
        "enabled": true,
        "server_name": "douyin.com",
        "insecure": true
      }
    },
    {
      "type": "trojan",
      "tag": "HAITA_HONGKONG_02",
      "server": "4511d21c-5f49-4bdd-9baa-1ccad3dfab43.bouuonouuw.lol",
      "server_port": 30273,
      "password": "6a881bed-969c-4310-add3-79924118b754",
      "tls": {
        "enabled": true,
        "server_name": "douyin.com",
        "insecure": true
      }
    },
    {
      "type": "trojan",
      "tag": "HAITA_HONGKONG_03",
      "server": "4511d21c-5f49-4bdd-9baa-1ccad3dfab43.bouuonouuw.lol",
      "server_port": 22140,
      "password": "6a881bed-969c-4310-add3-79924118b754",
      "tls": {
        "enabled": true,
        "server_name": "douyin.com",
        "insecure": true
      }
    },
    {
      "type": "selector",
      "tag": "POLICY_OPENAI",
      "outbounds": [
        "DEFAULT_EXIT",
        "EXIT_SELF_HOSTED",
        "EXIT_AMERICA",
        "EXIT_SINGAPORE",
        "EXIT_TAIWAN",
        "EXIT_JAPAN",
        "EXIT_HONGKONG"
      ],
      "default": "DEFAULT_EXIT"
    },
    {
      "type": "selector",
      "tag": "POLICY_XAI",
      "outbounds": [
        "DEFAULT_EXIT",
        "EXIT_SELF_HOSTED",
        "EXIT_AMERICA",
        "EXIT_SINGAPORE",
        "EXIT_TAIWAN",
        "EXIT_JAPAN",
        "EXIT_HONGKONG"
      ],
      "default": "DEFAULT_EXIT"
    },
    {
      "type": "selector",
      "tag": "POLICY_ANTHROPIC",
      "outbounds": [
        "DEFAULT_EXIT",
        "EXIT_SELF_HOSTED",
        "EXIT_AMERICA",
        "EXIT_SINGAPORE",
        "EXIT_TAIWAN",
        "EXIT_JAPAN",
        "EXIT_HONGKONG"
      ],
      "default": "DEFAULT_EXIT"
    },
    {
      "type": "selector",
      "tag": "POLICY_GOOGLE",
      "outbounds": [
        "DEFAULT_EXIT",
        "EXIT_SELF_HOSTED",
        "EXIT_AMERICA",
        "EXIT_SINGAPORE",
        "EXIT_TAIWAN",
        "EXIT_JAPAN",
        "EXIT_HONGKONG"
      ],
      "default": "DEFAULT_EXIT"
    },
    {
      "type": "selector",
      "tag": "POLICY_WISE",
      "outbounds": [
        "DIRECT",
        "DEFAULT_EXIT",
        "EXIT_SELF_HOSTED",
        "EXIT_AMERICA",
        "EXIT_SINGAPORE",
        "EXIT_TAIWAN",
        "EXIT_JAPAN",
        "EXIT_HONGKONG"
      ],
      "default": "DIRECT"
    },
    {
      "type": "selector",
      "tag": "POLICY_PAYMAYA",
      "outbounds": [
        "DIRECT",
        "EXIT_SINGAPORE"
      ],
      "default": "DIRECT"
    },
    {
      "type": "selector",
      "tag": "POLICY_POLYMARKET",
      "outbounds": [
        "EXIT_HONGKONG",
        "DIRECT"
      ],
      "default": "EXIT_HONGKONG"
    },
    {
      "type": "selector",
      "tag": "POLICY_STRIPE",
      "outbounds": [
        "EXIT_SELF_HOSTED",
        "DIRECT",
        "EXIT_AMERICA",
        "EXIT_HONGKONG"
      ],
      "default": "EXIT_SELF_HOSTED"
    },
    {
      "type": "selector",
      "tag": "POLICY_EASY_IPBLOCK",
      "outbounds": [
        "DEFAULT_EXIT",
        "EXIT_SELF_HOSTED",
        "EXIT_AMERICA",
        "EXIT_SINGAPORE",
        "EXIT_TAIWAN",
        "EXIT_JAPAN",
        "EXIT_HONGKONG"
      ],
      "default": "DEFAULT_EXIT"
    },
    {
      "type": "selector",
      "tag": "POLICY_YOUTUBE",
      "outbounds": [
        "DEFAULT_EXIT",
        "EXIT_SELF_HOSTED",
        "EXIT_AMERICA",
        "EXIT_SINGAPORE",
        "EXIT_TAIWAN",
        "EXIT_JAPAN",
        "EXIT_HONGKONG"
      ],
      "default": "DEFAULT_EXIT"
    },
    {
      "type": "selector",
      "tag": "POLICY_IP_CHECK",
      "outbounds": [
        "DEFAULT_EXIT",
        "EXIT_SELF_HOSTED",
        "EXIT_AMERICA",
        "EXIT_SINGAPORE",
        "EXIT_TAIWAN",
        "EXIT_JAPAN",
        "EXIT_HONGKONG",
        "DIRECT"
      ],
      "default": "DEFAULT_EXIT"
    },
    {
      "type": "selector",
      "tag": "POLICY_COLOR",
      "outbounds": [
        "DEFAULT_EXIT",
        "EXIT_SELF_HOSTED",
        "EXIT_AMERICA",
        "EXIT_SINGAPORE",
        "EXIT_TAIWAN",
        "EXIT_JAPAN",
        "EXIT_HONGKONG"
      ],
      "default": "DEFAULT_EXIT"
    },
    {
      "type": "selector",
      "tag": "POLICY_DEFAULT",
      "outbounds": [
        "DEFAULT_EXIT",
        "EXIT_SELF_HOSTED",
        "EXIT_AMERICA",
        "EXIT_SINGAPORE",
        "EXIT_TAIWAN",
        "EXIT_JAPAN",
        "EXIT_HONGKONG"
      ],
      "default": "DEFAULT_EXIT"
    },
    {
      "type": "selector",
      "tag": "DEFAULT_EXIT",
      "outbounds": [
        "EXIT_SELF_HOSTED",
        "EXIT_AMERICA",
        "EXIT_SINGAPORE",
        "EXIT_TAIWAN",
        "EXIT_JAPAN",
        "EXIT_HONGKONG"
      ],
      "default": "EXIT_SELF_HOSTED"
    },
    {
      "type": "selector",
      "tag": "EXIT_SELF_HOSTED",
      "outbounds": [
        "AUTO_SELF_HOSTED",
        "vless_dmitcf_likezgq",
        "vless_dmit02_reality_likezgq",
        "vless_cc03_reality_vision"
      ],
      "default": "AUTO_SELF_HOSTED"
    },
    {
      "type": "selector",
      "tag": "EXIT_AMERICA",
      "outbounds": [
        "AUTO_AMERICA",
        "HAITA_AMERICA_01",
        "HAITA_AMERICA_02",
        "HAITA_AMERICA_03"
      ],
      "default": "AUTO_AMERICA"
    },
    {
      "type": "selector",
      "tag": "EXIT_SINGAPORE",
      "outbounds": [
        "AUTO_SINGAPORE",
        "HAITA_SINGAPORE_01",
        "HAITA_SINGAPORE_02",
        "HAITA_SINGAPORE_03"
      ],
      "default": "AUTO_SINGAPORE"
    },
    {
      "type": "selector",
      "tag": "EXIT_TAIWAN",
      "outbounds": [
        "AUTO_TAIWAN",
        "HAITA_TAIWAN_01",
        "HAITA_TAIWAN_02",
        "HAITA_TAIWAN_03"
      ],
      "default": "AUTO_TAIWAN"
    },
    {
      "type": "selector",
      "tag": "EXIT_JAPAN",
      "outbounds": [
        "AUTO_JAPAN",
        "HAITA_JAPAN_01",
        "HAITA_JAPAN_02",
        "HAITA_JAPAN_03"
      ],
      "default": "AUTO_JAPAN"
    },
    {
      "type": "selector",
      "tag": "EXIT_HONGKONG",
      "outbounds": [
        "AUTO_HONGKONG",
        "HAITA_HONGKONG_01",
        "HAITA_HONGKONG_02",
        "HAITA_HONGKONG_03"
      ],
      "default": "AUTO_HONGKONG"
    },
    {
      "type": "urltest",
      "tag": "AUTO_SELF_HOSTED",
      "outbounds": [
        "vless_dmitcf_likezgq",
        "vless_dmit02_reality_likezgq",
        "vless_cc03_reality_vision"
      ],
      "url": "http://www.gstatic.com/generate_204",
      "interval": "150s",
      "tolerance": 30
    },
    {
      "type": "urltest",
      "tag": "AUTO_AMERICA",
      "outbounds": [
        "HAITA_AMERICA_01",
        "HAITA_AMERICA_02",
        "HAITA_AMERICA_03"
      ],
      "url": "http://www.gstatic.com/generate_204",
      "interval": "300s",
      "tolerance": 50
    },
    {
      "type": "urltest",
      "tag": "AUTO_SINGAPORE",
      "outbounds": [
        "HAITA_SINGAPORE_01",
        "HAITA_SINGAPORE_02",
        "HAITA_SINGAPORE_03"
      ],
      "url": "http://www.gstatic.com/generate_204",
      "interval": "150s",
      "tolerance": 50
    },
    {
      "type": "urltest",
      "tag": "AUTO_TAIWAN",
      "outbounds": [
        "HAITA_TAIWAN_01",
        "HAITA_TAIWAN_02",
        "HAITA_TAIWAN_03"
      ],
      "url": "http://www.gstatic.com/generate_204",
      "interval": "150s",
      "tolerance": 50
    },
    {
      "type": "urltest",
      "tag": "AUTO_JAPAN",
      "outbounds": [
        "HAITA_JAPAN_01",
        "HAITA_JAPAN_02",
        "HAITA_JAPAN_03"
      ],
      "url": "http://www.gstatic.com/generate_204",
      "interval": "150s",
      "tolerance": 50
    },
    {
      "type": "urltest",
      "tag": "AUTO_HONGKONG",
      "outbounds": [
        "HAITA_HONGKONG_01",
        "HAITA_HONGKONG_02",
        "HAITA_HONGKONG_03"
      ],
      "url": "http://www.gstatic.com/generate_204",
      "interval": "250s",
      "tolerance": 30
    },
    {
      "type": "direct",
      "tag": "DIRECT"
    }
  ],
  "route": {
    "rules": [
      {
        "inbound": [
          "tun-in",
          "mixed-in"
        ],
        "action": "sniff"
      },
      {
        "protocol": "dns",
        "action": "hijack-dns"
      },
      {
        "clash_mode": "Direct",
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "clash_mode": "Global",
        "action": "route",
        "outbound": "POLICY_DEFAULT"
      },
      {
        "port": 22,
        "action": "route",
        "outbound": "EXIT_SELF_HOSTED"
      },
      {
        "domain_suffix": [
          "ipinfo.io"
        ],
        "action": "route",
        "outbound": "POLICY_IP_CHECK"
      },
      {
        "domain_suffix": [
          "scamalytics.com"
        ],
        "action": "route",
        "outbound": "POLICY_IP_CHECK"
      },
      {
        "domain_suffix": [
          "ping0.cc"
        ],
        "action": "route",
        "outbound": "POLICY_IP_CHECK"
      },
      {
        "domain": [
          "huggingface.co"
        ],
        "action": "route",
        "outbound": "EXIT_SELF_HOSTED"
      },
      {
        "domain_suffix": [
          "openai.com"
        ],
        "action": "route",
        "outbound": "POLICY_OPENAI"
      },
      {
        "domain_suffix": [
          "chatgpt.com"
        ],
        "action": "route",
        "outbound": "POLICY_OPENAI"
      },
      {
        "domain_keyword": [
          "openai"
        ],
        "action": "route",
        "outbound": "POLICY_OPENAI"
      },
      {
        "domain_keyword": [
          "chatgpt"
        ],
        "action": "route",
        "outbound": "POLICY_OPENAI"
      },
      {
        "domain_keyword": [
          "claude"
        ],
        "action": "route",
        "outbound": "POLICY_ANTHROPIC"
      },
      {
        "domain_keyword": [
          "anthropic"
        ],
        "action": "route",
        "outbound": "POLICY_ANTHROPIC"
      },
      {
        "domain_suffix": [
          "cursor.sh"
        ],
        "action": "route",
        "outbound": "POLICY_XAI"
      },
      {
        "domain_keyword": [
          "grok"
        ],
        "action": "route",
        "outbound": "POLICY_XAI"
      },
      {
        "domain_suffix": [
          "intercomcdn.com"
        ],
        "action": "route",
        "outbound": "POLICY_DEFAULT"
      },
      {
        "domain_suffix": [
          "cdn.usefathom.com"
        ],
        "action": "route",
        "outbound": "POLICY_DEFAULT"
      },
      {
        "domain_suffix": [
          "stripe.com"
        ],
        "action": "route",
        "outbound": "POLICY_STRIPE"
      },
      {
        "domain_keyword": [
          "sora"
        ],
        "action": "route",
        "outbound": "POLICY_OPENAI"
      },
      {
        "domain_keyword": [
          "aistudio"
        ],
        "action": "route",
        "outbound": "POLICY_GOOGLE"
      },
      {
        "domain_keyword": [
          "youtube"
        ],
        "action": "route",
        "outbound": "POLICY_YOUTUBE"
      },
      {
        "domain_keyword": [
          "google"
        ],
        "action": "route",
        "outbound": "POLICY_GOOGLE"
      },
      {
        "domain_keyword": [
          "gemini"
        ],
        "action": "route",
        "outbound": "POLICY_GOOGLE"
      },
      {
        "domain_keyword": [
          "discord"
        ],
        "action": "route",
        "outbound": "EXIT_AMERICA"
      },
      {
        "domain_keyword": [
          "us-api"
        ],
        "action": "route",
        "outbound": "EXIT_AMERICA"
      },
      {
        "domain_keyword": [
          "paypal"
        ],
        "action": "route",
        "outbound": "EXIT_AMERICA"
      },
      {
        "domain_keyword": [
          "paypa1"
        ],
        "action": "route",
        "outbound": "EXIT_AMERICA"
      },
      {
        "domain_suffix": [
          "wise.com"
        ],
        "action": "route",
        "outbound": "POLICY_WISE"
      },
      {
        "domain_suffix": [
          "maya.ph"
        ],
        "action": "route",
        "outbound": "POLICY_PAYMAYA"
      },
      {
        "domain_suffix": [
          "paymaya.com"
        ],
        "action": "route",
        "outbound": "POLICY_PAYMAYA"
      },
      {
        "domain_suffix": [
          "mayabank.ph"
        ],
        "action": "route",
        "outbound": "POLICY_PAYMAYA"
      },
      {
        "domain_suffix": [
          "polymarket.com"
        ],
        "action": "route",
        "outbound": "POLICY_POLYMARKET"
      },
      {
        "domain_keyword": [
          "reddit.com"
        ],
        "action": "route",
        "outbound": "POLICY_EASY_IPBLOCK"
      },
      {
        "domain_keyword": [
          "avgle"
        ],
        "action": "route",
        "outbound": "POLICY_COLOR"
      },
      {
        "domain_keyword": [
          "porn"
        ],
        "action": "route",
        "outbound": "POLICY_COLOR"
      },
      {
        "domain_keyword": [
          "xvideo"
        ],
        "action": "route",
        "outbound": "POLICY_COLOR"
      },
      {
        "domain_keyword": [
          "xhamster"
        ],
        "action": "route",
        "outbound": "POLICY_COLOR"
      },
      {
        "domain_suffix": [
          "ycombinator.com"
        ],
        "action": "route",
        "outbound": "POLICY_DEFAULT"
      },
      {
        "domain_suffix": [
          "distrowatch.com"
        ],
        "action": "route",
        "outbound": "POLICY_DEFAULT"
      },
      {
        "domain_suffix": [
          "pypi.org"
        ],
        "action": "route",
        "outbound": "POLICY_DEFAULT"
      },
      {
        "domain_suffix": [
          "pythonhosted.org"
        ],
        "action": "route",
        "outbound": "POLICY_DEFAULT"
      },
      {
        "domain_suffix": [
          "nvidia.com"
        ],
        "action": "route",
        "outbound": "POLICY_DEFAULT"
      },
      {
        "domain_suffix": [
          "tailscale.com"
        ],
        "action": "route",
        "outbound": "POLICY_DEFAULT"
      },
      {
        "domain_keyword": [
          "time.windows.com"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "domain_suffix": [
          "likezgq.top"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "domain_keyword": [
          "ra2web.com"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "domain_keyword": [
          "bun.sh.cn"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "domain_suffix": [
          "kgithub.com"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "domain_keyword": [
          "chronodivide.com"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "domain": [
          "clash.razord.top"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "domain": [
          "yacd.haishan.me"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "domain_suffix": [
          "likezgq.pub"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "domain_suffix": [
          "home.pub"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "domain_suffix": [
          "lan"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "process_name": [
          "Tailscale.exe"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "process_name": [
          "Tailscale Service.exe"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "process_name": [
          "tailscaled.exe"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "process_name": [
          "tailscale-ipn.exe"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "process_name": [
          "tailscaled"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "process_name": [
          "Tailscale"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "rule_set": [
          "github"
        ],
        "action": "route",
        "outbound": "EXIT_SELF_HOSTED"
      },
      {
        "rule_set": [
          "tiktok"
        ],
        "action": "route",
        "outbound": "EXIT_AMERICA"
      },
      {
        "rule_set": [
          "applications"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "rule_set": [
          "private"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "rule_set": [
          "reject"
        ],
        "action": "reject"
      },
      {
        "rule_set": [
          "icloud"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "rule_set": [
          "apple"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "rule_set": [
          "direct"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "rule_set": [
          "proxy"
        ],
        "action": "route",
        "outbound": "POLICY_DEFAULT"
      },
      {
        "rule_set": [
          "telegramcidr"
        ],
        "action": "route",
        "outbound": "POLICY_DEFAULT"
      },
      {
        "ip_cidr": [
          "104.27.80.65/32"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "ip_cidr": [
          "104.16.29.191/32"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "ip_cidr": [
          "141.101.115.236/32"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "ip_cidr": [
          "172.64.93.84/32"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "ip_cidr": [
          "142.171.94.73/32"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "ip_cidr": [
          "100.64.0.0/10"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "rule_set": [
          "lancidr"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "rule_set": [
          "cncidr"
        ],
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "ip_is_private": true,
        "action": "route",
        "outbound": "DIRECT"
      },
      {
        "rule_set": [
          "geoip-cn"
        ],
        "action": "route",
        "outbound": "DIRECT"
      }
    ],
    "rule_set": [
      {
        "tag": "geosite-category-ads-all",
        "type": "remote",
        "format": "binary",
        "url": "https://github.likezgq.top/https://raw.githubusercontent.com/SagerNet/sing-geosite/rule-set/geosite-category-ads-all.srs",
        "http_client": "rules-direct"
      },
      {
        "tag": "geosite-icloud",
        "type": "remote",
        "format": "binary",
        "url": "https://github.likezgq.top/https://raw.githubusercontent.com/SagerNet/sing-geosite/rule-set/geosite-icloud.srs",
        "http_client": "rules-direct"
      },
      {
        "tag": "geosite-apple",
        "type": "remote",
        "format": "binary",
        "url": "https://github.likezgq.top/https://raw.githubusercontent.com/SagerNet/sing-geosite/rule-set/geosite-apple.srs",
        "http_client": "rules-direct"
      },
      {
        "tag": "geosite-cn",
        "type": "remote",
        "format": "binary",
        "url": "https://github.likezgq.top/https://raw.githubusercontent.com/SagerNet/sing-geosite/rule-set/geosite-cn.srs",
        "http_client": "rules-direct"
      },
      {
        "tag": "geoip-cn",
        "type": "remote",
        "format": "binary",
        "url": "https://github.likezgq.top/https://raw.githubusercontent.com/SagerNet/sing-geoip/rule-set/geoip-cn.srs",
        "http_client": "rules-direct"
      },
      {
        "tag": "github",
        "type": "remote",
        "format": "binary",
        "url": "https://kv2git.likezgq.top/zgqq/person-share/raw/branch/main/phone_rules/github.srs",
        "http_client": "rules-direct",
        "update_interval": "1d"
      },
      {
        "tag": "tiktok",
        "type": "remote",
        "format": "binary",
        "url": "https://kv2git.likezgq.top/zgqq/person-share/raw/branch/main/phone_rules/tiktok.srs",
        "http_client": "rules-direct",
        "update_interval": "1d"
      },
      {
        "tag": "applications",
        "type": "remote",
        "format": "binary",
        "url": "https://kv2git.likezgq.top/zgqq/person-share/raw/branch/main/phone_rules/applications.srs",
        "http_client": "rules-direct",
        "update_interval": "1d"
      },
      {
        "tag": "private",
        "type": "remote",
        "format": "binary",
        "url": "https://kv2git.likezgq.top/zgqq/person-share/raw/branch/main/phone_rules/private.srs",
        "http_client": "rules-direct",
        "update_interval": "1d"
      },
      {
        "tag": "reject",
        "type": "remote",
        "format": "binary",
        "url": "https://kv2git.likezgq.top/zgqq/person-share/raw/branch/main/phone_rules/reject.srs",
        "http_client": "rules-direct",
        "update_interval": "1d"
      },
      {
        "tag": "icloud",
        "type": "remote",
        "format": "binary",
        "url": "https://kv2git.likezgq.top/zgqq/person-share/raw/branch/main/phone_rules/icloud.srs",
        "http_client": "rules-direct",
        "update_interval": "1d"
      },
      {
        "tag": "apple",
        "type": "remote",
        "format": "binary",
        "url": "https://kv2git.likezgq.top/zgqq/person-share/raw/branch/main/phone_rules/apple.srs",
        "http_client": "rules-direct",
        "update_interval": "1d"
      },
      {
        "tag": "direct",
        "type": "remote",
        "format": "binary",
        "url": "https://kv2git.likezgq.top/zgqq/person-share/raw/branch/main/phone_rules/direct.srs",
        "http_client": "rules-direct",
        "update_interval": "1d"
      },
      {
        "tag": "proxy",
        "type": "remote",
        "format": "binary",
        "url": "https://kv2git.likezgq.top/zgqq/person-share/raw/branch/main/phone_rules/proxy.srs",
        "http_client": "rules-direct",
        "update_interval": "1d"
      },
      {
        "tag": "telegramcidr",
        "type": "remote",
        "format": "binary",
        "url": "https://kv2git.likezgq.top/zgqq/person-share/raw/branch/main/phone_rules/telegramcidr.srs",
        "http_client": "rules-direct",
        "update_interval": "1d"
      },
      {
        "tag": "lancidr",
        "type": "remote",
        "format": "binary",
        "url": "https://kv2git.likezgq.top/zgqq/person-share/raw/branch/main/phone_rules/lancidr.srs",
        "http_client": "rules-direct",
        "update_interval": "1d"
      },
      {
        "tag": "cncidr",
        "type": "remote",
        "format": "binary",
        "url": "https://kv2git.likezgq.top/zgqq/person-share/raw/branch/main/phone_rules/cncidr.srs",
        "http_client": "rules-direct",
        "update_interval": "1d"
      }
    ],
    "auto_detect_interface": true,
    "final": "POLICY_DEFAULT",
    "default_domain_resolver": "local",
    "default_http_client": "rules-direct"
  },
  "experimental": {
    "clash_api": {
      "external_controller": "127.0.0.1:9090",
      "secret": ""
    },
    "cache_file": {
      "enabled": true,
      "path": "cache.db"
    }
  },
  "http_clients": [
    {
      "tag": "rules-direct"
    }
  ]
}
